// Custom bootstrap variables must be set or imported *before* bootstrap.
@import "bootstrap";
@import "flag-icon";
@import "font_awesome5.css";

/* https://www.w3schools.com/bootstrap/tryit.asp?filename=trybs_temp_webpage&stacked=hhttps://www.w3schools.com/bootstrap/tryit.asp?filename=trybs_temp_webpage&stacked=h */

body {
   padding-bottom: 60px;   /* Height of the footer - #53 */
}

/* Remove the navbar's default margin-bottom and rounded borders */ 
.navbar {
  margin-bottom: 0;
  border-radius: 0;
}

.navbar-brand>img {
  width: 30px;
}
  
/* Set height of the grid so .sidenav can be 100% (adjust as needed) */
.row.content {height: 450px}

/* Set gray background color and 100% height */
.sidenav {
  padding-top: 20px;
  background-color: #f1f1f1;
  height: 100%;
}

/* forms https://www.railstutorial.org/book/sign_up#code-form_css */ 
input, textarea, select, .uneditable-input {
  border: 1px solid #bbb;
  width: 100%;
  margin-bottom: 15px;
}

/* TODO (#41): Move to static_pages.scss */
.under-construction-image {
  height: 400px; /* TODO: Don't use a magic value */
}

/* TODO (#41): Move to guests.scss */
.guest-button {
  color: lightblue;
}

#email-all-guests-button {
  float: left;
}

#new-guest-button {
  float: right;
}

/* Some from view-source:https://getbootstrap.com/docs/3.4/examples/sticky-footer-navbar/sticky-footer-navbar.css */
.footer {
  position: fixed;
  bottom: 0;
  background-color: #555;
  color: white;
  height: 60px;
  padding: 15px;
}

/* On small screens, set height to 'auto' for sidenav and grid */
@media screen and (max-width: 767px) {
  .sidenav {
    padding: 15px;
  }
  .row.content {height:auto;} 
}

